Skip to main content

Update Customer Attributes

PUT 

/customer/:id/attributes

Set or clear attribute values of a customer. The body is an object keyed by attribute key. Only the keys you send are changed; send null to clear a value. System attributes are read only.

The value to send depends on the format of the attribute:

FormatValue
textString, up to 1,000 characters
emailEmail address, up to 254 characters
phonePhone number in E.164 format, for example +919998880000
dateDate as YYYY-MM-DD
booleantrue or false
listArray of option IDs (one ID for a single select attribute)
fileArray of up to 5 files, each with url, name, type and size

Rate limit: 30 requests per minute.

Request​

Responses​

Customer attribute values after the update